org.thymeleaf.extras.springsecurity4.auth

## Class AuthUtils

- Object
- - org.thymeleaf.extras.springsecurity4.auth.AuthUtils

-     public final class AuthUtils
      extends Object

  Author:
    Daniel Fernández

- - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static boolean` | `authorizeUsingAccessExpression(org.thymeleaf.context.IProcessingContext processingContext, String accessExpression, org.springframework.security.core.Authentication authentication, javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response, javax.servlet.ServletContext servletContext)`
    `static boolean` | `authorizeUsingUrlCheck(String url, String method, org.springframework.security.core.Authentication authentication, javax.servlet.http.HttpServletRequest request, javax.servlet.ServletContext servletContext)`
    `static org.springframework.security.core.Authentication` | `getAuthenticationObject()`
    `static Object` | `getAuthenticationProperty(org.springframework.security.core.Authentication authentication, String property)`
    `static org.springframework.context.ApplicationContext` | `getContext(javax.servlet.ServletContext servletContext)`

    - ### Methods inherited from class Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### getAuthenticationObject

          public static org.springframework.security.core.Authentication getAuthenticationObject()

    - #### getAuthenticationProperty

          public static Object getAuthenticationProperty(org.springframework.security.core.Authentication authentication,
                                                         String property)

    - #### authorizeUsingAccessExpression

          public static boolean authorizeUsingAccessExpression(org.thymeleaf.context.IProcessingContext processingContext,
                                                               String accessExpression,
                                                               org.springframework.security.core.Authentication authentication,
                                                               javax.servlet.http.HttpServletRequest request,
                                                               javax.servlet.http.HttpServletResponse response,
                                                               javax.servlet.ServletContext servletContext)

    - #### authorizeUsingUrlCheck

          public static boolean authorizeUsingUrlCheck(String url,
                                                       String method,
                                                       org.springframework.security.core.Authentication authentication,
                                                       javax.servlet.http.HttpServletRequest request,
                                                       javax.servlet.ServletContext servletContext)

    - #### getContext

          public static org.springframework.context.ApplicationContext getContext(javax.servlet.ServletContext servletContext)

Copyright © 2016 The THYMELEAF team. All rights reserved.